Accounts
Get account
Returns a single account record owned by the caller, addressed by its id.
GET
/
v1
/
accounts
/
{accountId}
Get account
curl --request GET \
--url https://api.example.com/v1/accounts/{accountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/accounts/{accountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accountType": "master",
"country": "SN",
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"parentAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending"
}{
"error": "BAD_REQUEST",
"message": "Bad Request",
"path": "/v1/resource",
"statusCode": 400,
"timestamp": "2024-01-15T10:30:00.000Z"
}{
"error": "BAD_REQUEST",
"message": "Bad Request",
"path": "/v1/resource",
"statusCode": 400,
"timestamp": "2024-01-15T10:30:00.000Z"
}Authorizations
Enter Auth0 JWT token
Path Parameters
Response
Available options:
master, sub ISO-3166 alpha-2. Null for a master account created before the customer country is known; sub-accounts always have a country.
Example:
"SN"
Account record id
The name the account was created under.
The master that owns this account. Derived from the API key.
Available options:
pending, active, suspended, closed ⌘I
Get account
